/*
 * Class TRAVERSABLE [CHARACTER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1760 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1760 [] = {0xFF01,1551,1759,872,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1760 [] = {0xFF01,1759,872,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1760 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1760 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1760 [] = {0xFF01,1759,872,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1760 [] = {0xFF01,1759,872,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1760 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1760 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1760 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1760 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1760 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1760 [] = {1759,872,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1760 [] = {0xFF01,1759,872,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1760 [] = {0xFF01,1758,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1760 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1760 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1760[] = {
	{EIF_GENERIC(NULL), 8698, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1760), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1760), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1760), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1760), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1760), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1760), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1760), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1760), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1760), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1760), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1760), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1760), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1760), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1760), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8623, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8624, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8625, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8626, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8627, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1760), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1760), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1760), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8699, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8700, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8701, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8702, 0xFFFFFFFF},
};
void Init1760(void)
{
	IDSC(desc_1760, 0, 1759);
	IDSC(desc_1760 + 1, 1, 1759);
	IDSC(desc_1760 + 32, 1134, 1759);
	IDSC(desc_1760 + 41, 1534, 1759);
}


#ifdef __cplusplus
}
#endif
